<?php
  
IF (ISSET($user) && DB::GET_COLUMN("SELECT COUNT(*) FROM `BAN_USER` WHERE `USER_ID` = '".$user['ID']."' AND `BAN_TIME` > '".TIME()."' LIMIT 1") == 1 || ISSET($user) && DB::GET_COLUMN("SELECT COUNT(*) FROM `BAN_USER` WHERE `USER_ID` = '".$user['ID']."' AND `BAN` = '1' LIMIT 1") == 1){
  
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "".LG('Бан')."";
  ECHO "</div>";
  
  $ban = DB::GET_STRING("SELECT * FROM `BAN_USER` WHERE `USER_ID` = '".$user['ID']."' AND (`BAN` = '1' OR `BAN_TIME` > '".TIME()."') LIMIT 1");
  
  ECHO "<div class='list'>";
  
  ECHO "<center>".ICONS('ban', 70)."<br /><font size='+1'>".LG('Вы получили бан')."</font></center><br />";
  
  IF ($ban['REASON'] == 1){
    
    $reason = 'СПАМ, реклама';
  
  }ELSEIF ($ban['REASON'] == 2){
    
    $reason = 'Мошенничество';
  
  }ELSEIF ($ban['REASON'] == 3){
    
    $reason = 'Нецензурная брань, оскорбления';
  
  }ELSEIF ($ban['REASON'] == 4){
    
    $reason = 'Разжигание ненависти';
  
  }ELSEIF ($ban['REASON'] == 5){
    
    $reason = 'Пропаганда нацизма';
  
  }ELSEIF ($ban['REASON'] == 6){
    
    $reason = 'Пропаганда наркотиков';
  
  }ELSEIF ($ban['REASON'] == 7){
    
    $reason = 'Систематические нарушения';
  
  }ELSEIF ($ban['REASON'] == 0){
    
    $reason = 'Иная';
  
  }
    
  ECHO "<b>".LG('Причина бана').":</b> ".LG($reason)."<br /><br />";
  ECHO "<b>".LG('Комментарий').":</b> ";
  ECHO "".TEXT($ban['MESSAGE'])."<br /><br />";
  ECHO "<b>".LG('Время выдачи бана').":</b> ";
  ECHO "".FTIME($ban['TIME'])."<br /><br />";
  ECHO "<b>".LG('Время бана').":</b> ";
  
  IF ($ban['BAN'] == 1){
    
    ECHO "".LG('Навсегда')."";
  
  }ELSE{
    
    ECHO "".LG('до')." ".FTIME($ban['BAN_TIME'])."";
  
  }
  
  ECHO "</div>";
  
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
  ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
  ECHO "".LG('Бан')."";
  ECHO "</div>";
  
  REQUIRE (ROOT.'/style/version/'.VERSION.'/include/footer.php');
  EXIT;

}
  
?>